Subject: Re: [PATCH] netfilter: fix looped (broad|multi)cast's MAC handling.

From: Patrick McHardy <[email-masked]>
Date: Thu, 09 Jun 2011 18:08:06 +0200

On 09.06.2011 15:39, Nicolas Cavallari wrote:
> By default, when broadcast or multicast packet are sent from a local
> application, they are sent to the interface then looped by the kernel
> to other local applications, going throught netfilter hooks in the process.
> 
> These looped packet have their MAC header removed from the skb by the kernel
> looping code.
> This confuse various netfilter's netlink queue, netlink log and the
> legacy ip_queue, because they try to extract a hardware
> address from these packets, but extracts a part of the IP header instead.
> 
> This patch prevent NFQUEUE, NFLOG and ip_QUEUE to include a MAC header
> if there is none in the packet.

Please add a Signed-off-by: line to your patch so I can apply it.
Thanks!